package com.fjhx.oa.service.schedule;

import com.fjhx.oa.entity.schedule.po.ScheduleInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.schedule.vo.ScheduleInfoVo;
import com.fjhx.oa.entity.schedule.dto.ScheduleInfoSelectDto;
import com.fjhx.oa.entity.schedule.dto.ScheduleInfoDto;

import java.util.List;


/**
 * <p>
 * 日程信息表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
public interface ScheduleInfoService extends BaseService<ScheduleInfo> {

    /**
     * 日程信息表分页
     */
    Page<ScheduleInfoVo> getPage(ScheduleInfoSelectDto dto);

    /**
     * 日程信息表明细
     */
    ScheduleInfoVo detail(Long id);

    /**
     * 日程信息表新增
     */
    void add(ScheduleInfoDto scheduleInfoDto);

    /**
     * 日程信息表编辑
     */
    void edit(ScheduleInfoDto scheduleInfoDto);

    /**
     * 日程信息表删除
     */
    void delete(Long id);

    List<ScheduleInfoVo> mySchedule(ScheduleInfoSelectDto dto);
}
